Could an Update ruin emuNAND forever?

Discussion in '3DS - Flashcards & Custom Firmwares' started by JohnTravolski, Jul 12, 2015.

  1. JohnTravolski
    OP

    JohnTravolski GBAtemp Regular

    Member
    124
    7
    Jul 9, 2015
    United States
    Look, there's a lot about this stuff that I don't understand, but let's say that I have 4.2 sysNAND and 9.8 emuNAND (currently the latest version). Since I have to update my emuNAND to play my games online (in order to get the new game patches from the eShop), is it possible that a firmware update in the future (that I use to update emuNAND only and obviously not sysNAND) could stop emuNAND or things like FBI Installer and SaveDataFiler from working correctly? That's a scary thought, and these things are pretty important, and I want to be sure that I can use them no matter what Nintendo does. After all, they do whatever they can to make sure stuff like this doesn't happen. So what are your thoughts of my bolded question?
     
  2. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    12,326
    5,334
    Mar 17, 2010
    Norway
    Alola
    It does happen, like emuNAND 9.6+ doesn't work at all on New 3DS. Normally Gateway will release an update to support the new firmware, this is just harder on the New 3DS because they changed the encryption on it and patched the hole that GW used to get the encryption keys last time. On o3DS this is not likely to be an issue though, as long as Gateway is around to release updates.
    You don't have to update in order to use the eShop though. You can use this: https://gbatemp.net/threads/release-free-multi-patcher.391945/
     
  3. JohnTravolski
    OP

    JohnTravolski GBAtemp Regular

    Member
    124
    7
    Jul 9, 2015
    United States
    Thanks for the answer. Okay, I'm on an Old 3DS XL and I use RXTools, and I don't have a gateway card. However, I can get to the gateway thing just by using the browser exploit. I'll definitely look into what you shared with me.
     
  4. tony_2018

    tony_2018 GBAtemp Psycho!

    Member
    3,106
    1,050
    Jan 3, 2014
    United States
    Simple...it has to be supported, confirmed to be support, before doing any updates. So if you want to be one of the many who likes to update there emunand without making a backup than you end up screwing yourself and will have to create emunand all over again.
     
  5. dubbz82

    dubbz82 GBAtemp Advanced Maniac

    Member
    1,512
    815
    Feb 2, 2014
    United States

    Without consulting my crystal ball and predicting the future, I'll go with yes. It's probably not too difficult from them to simply check where the firmware is actually being loaded from, and kill it dead in it's tracks (that being said, a check like that probably wouldn't be all that difficult to be worked around either, however I'm certain that there's other ways they could check for this as well).
     
  6. Ronhero

    Ronhero Too Weird to Live, Too Rare to Die

    Member
    3,039
    1,064
    Jun 28, 2014
    United States
    Arizona Bay
    IMOP as long as there are people like me with a hard mod then there will almost always be people dumping cia files. I was the first to dump xenoblades chronicles USA update for gateway n3ds users and with firm patching I don't think we will ever be left in the dark too long with an update as long as we have an exploitable system nand